diff -ur --exclude=configure otp_src_R12B-3/lib/stdlib/src/otp_internal.erl otp_src_R12B-3-03/lib/stdlib/src/otp_internal.erl
--- otp_src_R12B-3/lib/erl_interface/src/decode/decode_skip.c	2008-06-10 14:47:43.000000000 +0200
+++ otp_src_R12B-3-03/lib/erl_interface/src/decode/decode_skip.c	2008-09-19 15:22:24.000000000 +0200
@@ -64,7 +64,7 @@
 	    ei_skip_term(buf, index);
 	break;
     case ERL_BINARY_EXT:
-	if (ei_decode_binary(buf, index, NULL, (long*)&n) < 0)
+	if (ei_decode_binary(buf, index, NULL, NULL) < 0)
 	    return -1;
 	break;
     case ERL_SMALL_INTEGER_EXT:
diff -ur --exclude=configure otp_src_R12B-3/lib/erl_interface/src/misc/ei_printterm.c otp_src_R12B-3-03/lib/erl_interface/src/misc/ei_printterm.c
--- otp_src_R12B-3/lib/erl_interface/src/misc/ei_printterm.c	2007-11-26 19:58:56.000000000 +0100
+++ otp_src_R12B-3-03/lib/erl_interface/src/misc/ei_printterm.c	2008-09-19 15:21:05.000000000 +0200
@@ -208,20 +208,21 @@
     case ERL_BINARY_EXT:
 	p = ei_malloc(n);
 	if (p == NULL) goto err;
-	if (ei_decode_binary(buf, index, p, (long*)&n) < 0) {
+	if (ei_decode_binary(buf, index, p, &l) < 0) {
 	    ei_free(p);
 	    goto err;
 	}
 	ch_written += xprintf(fp, x, "#Bin<");
-	m = n;
-	if (n > BINPRINTSIZE)
+	if (l > BINPRINTSIZE)
 	    m = BINPRINTSIZE;
+	else 
+	  m = l;
 	--m;
 	for (i = 0; i < m; ++i) {
 	    ch_written += xprintf(fp, x, "%d,", p[i]);
 	}
 	ch_written += xprintf(fp, x, "%d", p[i]);
-	if (n > BINPRINTSIZE)
+	if (l > BINPRINTSIZE)
 	    ch_written += xprintf(fp, x, ",...");
 	xputc('>', fp, x); ++ch_written;
 	ei_free(p);
